# shade.cpp File Reference

Implementation of the "Shade" layer. More...

`#include "shade.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`
`#include <cstring>`
`#include <ETL/pen>`
`#include <ETL/misc>`

## Defines

#define | GAUSSIAN_ADJUSTMENT (0.05)
#define | SCALE_FACTOR (64.0)

## Functions

| SYNFIG_LAYER_INIT (Layer_Shade)
| SYNFIG_LAYER_SET_NAME (Layer_Shade,"shade")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Shade, N_("Shade"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Shade, N_("Stylize"))
| SYNFIG_LAYER_SET_VERSION (Layer_Shade,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Shade,"$Id$")
void | clamp (synfig::Vector &v)

## Detailed Description

Implementation of the "Shade" layer.

$Id$

## Define Documentation

#define GAUSSIAN_ADJUSTMENT (0.05)

#define SCALE_FACTOR (64.0)

Referenced by Layer_Shade::accelerated_render().

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Shade |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Shade | ,
|  | "shade" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Shade | ,
|  | N_("Shade") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Shade | ,
|  | N_("Stylize") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Shade | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Shade | ,
|  | "$Id$" |  |
| ) |  |  |

void clamp | ( | synfig::Vector & | v | ) | `[inline]`